Page MenuHomePhabricator

Deprecate and remove $wgMemc in MediaWiki Core and bundled extensions
Closed, ResolvedPublic

Description

See parent task. This is a bug against core, bugs for extensions, if needed, should be subtasks of this one.

  • Soft deprecate in 1.35.
  • Remove usage in core and in bundled/wmf extensions.
  • Remove in 1.36.

See also T243336: Migrate use of $wgMemc in extensions not bundled with core or otherwise maintained by WMF

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+8 -14
mediawiki/extensions/DonationInterfacemaster+6 -4
mediawiki/extensions/PageTriagemaster+89 -101
mediawiki/extensions/Flowmaster+0 -203
mediawiki/extensions/Flowmaster+12 -72
mediawiki/extensions/DoubleWikimaster+125 -69
mediawiki/extensions/PageImagesmaster+31 -28
mediawiki/extensions/SpamRegexmaster+22 -12
mediawiki/extensions/LiquidThreadsmaster+43 -38
mediawiki/extensions/ConfirmEditmaster+2 -2
mediawiki/extensions/Flowmaster+0 -10
mediawiki/extensions/CategoryTreemaster+21 -30
mediawiki/extensions/TimedMediaHandlermaster+193 -163
mediawiki/extensions/SocialProfilemaster+232 -218
mediawiki/extensions/ShortUrlmaster+59 -55
mediawiki/tools/codesniffermaster+2 -2
mediawiki/extensions/RSSmaster+23 -13
mediawiki/extensions/GoogleNewsSitemapmaster+7 -5
mediawiki/extensions/CloseWikismaster+51 -22
mediawiki/extensions/TextExtractsmaster+24 -15
mediawiki/extensions/CodeReviewmaster+168 -136
mediawiki/extensions/UploadWizardmaster+101 -94
mediawiki/extensions/PageTriagemaster+105 -112
mediawiki/extensions/GlobalUserPagemaster+50 -44
mediawiki/extensions/GlobalUserPagemaster+8 -10
mediawiki/extensions/ExtensionDistributormaster+17 -16
mediawiki/extensions/MobileFrontendmaster+114 -100
mediawiki/extensions/CheckUsermaster+0 -14
mediawiki/extensions/FeaturedFeedsmaster+21 -12
mediawiki/extensions/AutoProxyBlockmaster+44 -43
mediawiki/extensions/UserStatusmaster+0 -23
mediawiki/extensions/OpenStackManagermaster+7 -8
mediawiki/extensions/LdapAuthenticationmaster+61 -63
mediawiki/extensions/LiquidThreadsmaster+25 -28
mediawiki/extensions/ConfirmEditmaster+29 -15
mediawiki/extensions/CentralNoticemaster+9 -22
mediawiki/extensions/UserThrottlemaster+7 -6
mediawiki/extensions/wikihieromaster+45 -43
mediawiki/extensions/WikimediaMaintenancemaster+3 -2
mediawiki/coremaster+6 -0
mediawiki/coremaster+3 -6
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 570755 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/GoogleNewsSitemap@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570755

Change 570746 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570746

Change 570765 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LdapAuthentication@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570765

Change 570766 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LiquidThreads@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570766

Change 570773 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/LiquidThreads@master] Avoid direct use of $wgMemc

https://gerrit.wikimedia.org/r/570773

Change 570774 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/TextExtracts@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570774

Change 570780 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/MobileFrontend@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570780

Change 570781 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/ShortUrl@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570781

Change 570782 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/RSS@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570782

Change 570783 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/OpenStackManager@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570783

Change 570784 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/PageTriage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570784

Change 570766 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570766

Change 570765 merged by jenkins-bot:
[mediawiki/extensions/LdapAuthentication@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570765

Change 570783 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570783

Change 570715 merged by Krinkle:
[mediawiki/extensions/UserStatus@master] Avoid pointless use of $wgMemc for values that are never read

https://gerrit.wikimedia.org/r/570715

Change 570699 merged by jenkins-bot:
[mediawiki/extensions/AutoProxyBlock@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570699

Change 570749 merged by jenkins-bot:
[mediawiki/extensions/FeaturedFeeds@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570749

Change 570709 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Remove broken "recent accounts" counter and i18n message

https://gerrit.wikimedia.org/r/570709

Change 570780 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570780

Change 570738 merged by jenkins-bot:
[mediawiki/extensions/ExtensionDistributor@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570738

Change 566408 abandoned by Krinkle:
Replace usages of $wgMemc variable

Reason:
Superseded by https://gerrit.wikimedia.org/r//570754 where Aaron ports it to WANObjectCache.

https://gerrit.wikimedia.org/r/566408

Change 570784 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570784

Change 570754 merged by jenkins-bot:
[mediawiki/extensions/GlobalUserPage@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570754

Change 570717 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570717

Change 570737 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570737

Change 570774 merged by jenkins-bot:
[mediawiki/extensions/TextExtracts@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570774

Change 570714 merged by jenkins-bot:
[mediawiki/extensions/CloseWikis@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570714

Change 579768 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/tools/codesniffer@master] Add sniff for deprecated $wgMemc

https://gerrit.wikimedia.org/r/579768

Change 570755 merged by jenkins-bot:
[mediawiki/extensions/GoogleNewsSitemap@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570755

Change 570782 merged by jenkins-bot:
[mediawiki/extensions/RSS@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570782

Change 579768 merged by jenkins-bot:
[mediawiki/tools/codesniffer@master] Add sniff for deprecated $wgMemc

https://gerrit.wikimedia.org/r/579768

Change 570781 merged by jenkins-bot:
[mediawiki/extensions/ShortUrl@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570781

Krinkle updated the task description. (Show Details)Mar 27 2020, 4:51 PM

Change 529445 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/SocialProfile@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/529445

These are the last two remaining that block this task:

[mediawiki/extensions/LiquidThreads@master] Avoid direct use of $wgMemc
[mediawiki/extensions/CategoryTree@master] Convert $wgMemc use to WANObjectCache
Krinkle updated the task description. (Show Details)Mar 29 2020, 9:58 PM

Change 584250 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Remove $wgMemc

https://gerrit.wikimedia.org/r/584250

Change 529445 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/529445

Change 584655 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/ArticleFeedbackv5@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/584655

Change 570728 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570728

Change 570701 merged by jenkins-bot:
[mediawiki/extensions/CategoryTree@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/570701

Change 585117 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/Flow@master] Remove unused BagOStuff from ContributionsQuery

https://gerrit.wikimedia.org/r/585117

Change 585117 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove unused BagOStuff from ContributionsQuery

https://gerrit.wikimedia.org/r/585117

Change 585538 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/ConfirmEdit@master] docs: Remove mention of $wgMemc from CaptchaCacheStore README

https://gerrit.wikimedia.org/r/585538

Remaining from wmf-deployed (Codesearch):

  • PageTriage/ ArticleMetadata.php
  • PageImages/ LinksUpdateHookHandler.php
  • Flow/ container.php
  • DoubleWiki/ DoubleWiki.php
  • DonationInterface/ minfraud.body.php (?)

Change 570773 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Avoid direct use of $wgMemc

https://gerrit.wikimedia.org/r/570773

Change 585538 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] docs: Remove mention of $wgMemc from CaptchaCacheStore README

https://gerrit.wikimedia.org/r/585538

Change 585679 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/PageTriage@master] Convert $wgMemc use to WANObjectCache in getValidTags()

https://gerrit.wikimedia.org/r/585679

Change 585681 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/PageImages@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/585681

Change 585700 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/DoubleWiki@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/585700

Change 585702 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/DonationInterface@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/585702

Change 589535 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/SpamRegex@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/589535

Change 585118 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/extensions/Flow@master] Remove unused "memcache" service from container.php

https://gerrit.wikimedia.org/r/585118

Change 589535 merged by jenkins-bot:
[mediawiki/extensions/SpamRegex@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/589535

Krinkle triaged this task as Medium priority.Apr 21 2020, 5:52 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 14 2020, 12:09 AM

Change 585681 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/585681

Change 585700 merged by jenkins-bot:
[mediawiki/extensions/DoubleWiki@master] Convert $wgMemc use to WANObjectCache

https://gerrit.wikimedia.org/r/585700

@kostajh This is currently blocked on your team helping us to understand Flow/PurgeAction.php. Normally I'd say we can defer that and "just" migrate it to the newer approaches but that isn't possible in this case as this class is using unsupported interfaces which would take considerable effort on our part to migrate.

We can help migrate that, however per @aaron it would seem this is unused or already broken, so perhaps the code can simply be removed for the time being?

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Flow/+/585118/6/includes/Actions/PurgeAction.php

Change 601869 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/extensions/Flow@master] Remove broken PurgeAction handler

https://gerrit.wikimedia.org/r/601869

Change 585118 abandoned by Krinkle:
Remove unused "memcache" service from container.php

Reason:
Superseded by https://gerrit.wikimedia.org/r/601869

https://gerrit.wikimedia.org/r/585118

Change 601869 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove broken PurgeAction handler

https://gerrit.wikimedia.org/r/601869

Change 585679 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Convert $wgMemc use to WANObjectCache in getValidTags()

https://gerrit.wikimedia.org/r/585679

Krinkle removed aaron as the assignee of this task.Jul 20 2020, 8:27 PM
Krinkle claimed this task.
Krinkle lowered the priority of this task from Medium to Low.
Krinkle moved this task from Blocker to To deprecate or remove on the MW-1.36-release board.
Krinkle added a subscriber: aaron.

Change 585702 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Update use of deprecated $wgMemc

https://gerrit.wikimedia.org/r/585702

Change 584250 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgMemc

https://gerrit.wikimedia.org/r/584250

Krinkle closed this task as Resolved.Jul 30 2020, 11:41 PM
Krinkle updated the task description. (Show Details)